package ru.yandex.autotests.direct.fakebsproxy.beans.performancerejectedoffers;

import com.google.gson.annotations.SerializedName;
import ru.yandex.autotests.direct.fakebsproxy.beans.BaseBean;

import java.util.HashMap;
import java.util.List;

/**
 * Created by buhter on 15/04/16.
 */
public class DataBean extends BaseBean<DataBean>{
    @SerializedName("ClientID")
    private Long clientID;

    @SerializedName("FeedUrl")
    private String feedUrl;

    @SerializedName("OfferID")
    private String offerID;

    @SerializedName("statusModerate")
    private String statusModerate;

    @SerializedName("Reasons")
    private HashMap<String, List<ReasonBean>> reasons;

    public Long getClientID() {
        return clientID;
    }

    public void setClientID(Long clientID) {
        this.clientID = clientID;
    }

    public String getFeedUrl() {
        return feedUrl;
    }

    public void setFeedUrl(String feedUrl) {
        this.feedUrl = feedUrl;
    }

    public String getOfferID() {
        return offerID;
    }

    public void setOfferID(String offerID) {
        this.offerID = offerID;
    }

    public String getStatusModerate() {
        return statusModerate;
    }

    public void setStatusModerate(String statusModerate) {
        this.statusModerate = statusModerate;
    }

    public HashMap<String, List<ReasonBean>> getReasons() {
        return reasons;
    }

    public void setReasons(HashMap<String, List<ReasonBean>> reasons) {
        this.reasons = reasons;
    }

    public DataBean withClientID(Long clientID) {
        this.clientID = clientID;
        return this;
    }

    public DataBean withFeedUrl(String feedUrl) {
        this.feedUrl = feedUrl;
        return this;
    }

    public DataBean withOfferID(String offerID) {
        this.offerID = offerID;
        return this;
    }

    public DataBean withStatusModerate(String statusModerate) {
        this.statusModerate = statusModerate;
        return this;
    }

    public DataBean withReasons(HashMap<String, List<ReasonBean>> reasons) {
        this.reasons = reasons;
        return this;
    }

}
